import request from '@/static/js/request.js'

const apiUri = {
	store: '/order/store',
	detail: '/confirm/detail',
	submit: '/confirm/submit',
	order: '/order/data',
	orderDetail: '/order/detail',
	cancel: '/order/cancel',
	del: '/order/del',
}

export function cancel(param) {
	return request.request(apiUri.cancel,'POST', param,false,true,false)
}

export function del(param) {
	return request.request(apiUri.del,'POST', param,false,true,false)
}

export function store(param) {
	return request.request(apiUri.store,'POST', param,false,true,false)
}

export function detail(param) {
	return request.request(apiUri.detail,'POST', param,false,true,false)
}

export function orderDetail(param) {
	return request.request(apiUri.orderDetail,'GET', param,false,true,false)
}

export function submit(param) {
	return request.request(apiUri.submit,'POST', param,false,true,false)
}

export function order(param) {
	return request.request(apiUri.order,'GET', param,false,true,false)
}